## shadowsocks-rust-1.11.0.crate

=== Makefile ===
PREFIX ?= /usr/local/bin
TARGET ?= debug

.PHONY: all build install uninstall clean
all: build

build:
ifeq (${TARGET}, release)
	cargo build --release
else
	cargo build
endif

install:
	install -d ${DESTDIR}${PREFIX}
	install -m 755 target/${TARGET}/sslocal ${DESTDIR}${PREFIX}/sslocal
	install -m 755 target/${TARGET}/ssserver ${DESTDIR}${PREFIX}/ssserver
	install -m 755 target/${TARGET}/ssurl ${DESTDIR}${PREFIX}/ssurl
	install -m 755 target/${TARGET}/ssmanager ${DESTDIR}${PREFIX}/ssmanager

uninstall:
	rm ${DESTDIR}${PREFIX}/sslocal
	rm ${DESTDIR}${PREFIX}/ssserver
	rm ${DESTDIR}${PREFIX}/ssurl
	rm ${DESTDIR}${PREFIX}/ssmanager

clean:
	cargo clean

=== debian/changelog ===
shadowsocks-rust (1.10.9) unstable; urgency=medium

  ## Bug Fixes

  - HTTP Proxy preserves headers' title case. https://github.com/shadowsocks/shadowsocks-rust/discussions/491 , https://github.com/hyperium/hyper/issues/2313

 -- Y. T. Chung <zonyitoo@gmail.com>  Fri, 23 Apr 2021 23:58:08 +0800

shadowsocks-rust (1.10.8) unstable; urgency=medium

  ## Bug Fixes

  - Removes non-standard AEAD ciphers that have variable nonce length, including
    - `aes-128-ocb-taglen128`, `aes-192-ocb-taglen128`, `aes-256-ocb-taglen128`
    - `aes-siv-cmac-256`, `aes-siv-cmac-384`, `aes-siv-cmac-512`

 -- Y. T. Chung <zonyitoo@gmail.com>  Sun, 18 Apr 2021 21:00:21 +0800

shadowsocks-rust (1.10.7) unstable; urgency=medium

  ## Features

  - Support non-standard AEAD ciphers `sm4-gcm` and `sm4-ccm`

 -- Y. T. Chung <zonyitoo@gmail.com>  Sat, 17 Apr 2021 22:46:39 +0800

shadowsocks-rust (1.10.6) unstable; urgency=medium

  ## Features

  - [shadowsocks/shadowsocks-crypto#8](https://github.com/shadowsocks/shadowsocks-crypto/issues/8) Support non-standard AEAD ciphers with `crypto2`, could be enabled by feature `aead-cipher-extra`
    - `aes-128-ccm`, `aes-256-ccm`
    - `aes-128-gcm-siv`, `aes-256-gcm-siv`
    - `aes-128-ocb-taglen128`, `aes-192-ocb-taglen128`, `aes-256-ocb-taglen128`
    - `aes-siv-cmac-256`, `aes-siv-cmac-384`, `aes-siv-cmac-512`
    - `xchacha20-ietf-poly1305`

  ## Bug Fixes

  - [shadowsocks/shadowsocks-android#2705](https://github.com/shadowsocks/shadowsocks-android/issues/2705) MD5 algorithm bug causes KDF (Key Derived Function) produces wrong key when `LEN(password) % 64 in [50, 64)`

 -- Y. T. Chung <zonyitoo@gmail.com>  Sat, 17 Apr 2021 21:45:46 +0800

shadowsocks-rust (1.10.5) unstable; urgency=medium

  ## BUG Fixed

  - `ProxyClientStream` should keep the concatenated first packet buffer alive before asynchronous `write()` finishes

 -- Y. T. Chung <zonyitoo@gmail.com>  Sat, 10 Apr 2021 09:07:52 +0800

shadowsocks-rust (1.10.4) unstable; urgency=medium

  # Fixed BUG

  - `ProxyClientStream::poll_write` may lose the `Address` in the packet to be sent if socket returns `EAGAIN`

  # Features

  - Support `protocol` in basic configuration format

 -- Y. T. Chung <zonyitoo@gmail.com>  Fri, 9 Apr 2021 17:25:04 +0800

shadowsocks-rust (1.10.3) unstable; urgency=medium

  ## BUG Fixed

  - #472 Fixed `SO_INCOMING_CPU` when building on some Linux targets. rust-lang/socket2#213

 -- Y. T. Chung <zonyitoo@gmail.com>  Wed, 7 Apr 2021 09:55:40 +0800

shadowsocks-rust (1.10.2) unstable; urgency=medium

  ## BUG Fixed

  - `mode` in basic configuration format doesn't work for local instance

 -- Y. T. Chung <zonyitoo@gmail.com>  Sun, 28 Mar 2021 11:13:01 +0800

shadowsocks-rust (1.10.1) unstable; urgency=medium

  ## BUG Fixed

  - #469 Compilation error on Android

  ## Miscellaneous

  - `sslocal` checks new local instance's parameters dependency
    - `--protocol`, `--forward-addr`, ... will require `--local-addr` to be specified

 -- Y. T. Chung <zonyitoo@gmail.com>  Sat, 27 Mar 2021 00:13:00 +0800

shadowsocks-rust (1.10.0) unstable; urgency=medium

  ## Features

  - #452 `sslocal` supports starting multiple instances in the same process
      - Add `locals` in extended configuration format for specifying multiple local server instances
      - (Android Only) Support `unix://` schema in `dns` configuration
      - Support `tcp://` and `udp://` in `dns`configuration for setting DNS protocol. Uses both TCP and UDP if not specified.
  - Support `quad9_https` predefined DNS servers
  - Updated `shadowsocks-crypto` to `v0.2`, which `Cipher` implementation uses `enum` static dispatch instead of `Box`ed Trait Object for dynamic dispatch

  ## BUG Fixes

  - PingBalancer 2nd check will be sent 10s after 1st initialization check.

  ## Breaking Changes

  - `sslocal`'s command line options are now for creating a new local instance:
      - `--local-addr`, `--forward-addr`, `-U`, `-u`, `--protocol`, ... will only applied to the local instance specified by `--local-addr`
  - `ssserver`'s command line options are now for creating a new server instance:
      - `-U` and `-u` will only applied to the local instance specified by `--server-addr`

 -- Y. T. Chung <zonyitoo@gmail.com>  Thu, 25 Mar 2021 18:10:00 +0800

shadowsocks-rust (1.9.2) unstable; urgency=medium

  ## Features

  * #442 Check repeated salt after first successful decryption

  ## BUG Fixes

  * Redir: setting SO_REUSEPORT, SO_MARK for UDP send-back sockets

 -- Y. T. Chung <zonyitoo@gmail.com>  Fri, 6 Mar 2021 01:15:00 +0800

shadowsocks-rust (1.9.1) unstable; urgency=medium

  ## BUG Fixes

  * #431 UdpSocket::from_std requires sockets to be non-blocked.

  ## Features

  * Removed avx from the default CPU features

 -- Y. T. Chung <zonyitoo@gmail.com>  Fri, 26 Feb 2021 19:01:06 +0800

shadowsocks-rust (1.9.0) unstable; urgency=medium

  Complete refactored the whole implementation and splits into 3 different crates:

  * shadowsocks - Core feature of shadowsocks
  * shadowsocks-service - Service library for implementing Local Server, Remote Server, Manager Server
  * shadowsocks-rust - Binary crate for release

  Replaced libsodium and libcrypto with [crypto2](https://github.com/shadowsocks/crypto2).

  ## Features

  * Support setting SO_MARK, SO_BINDTODEVICE on Linux
  * Support setting SO_SNDBUF and SO_RCVBUF for TCP sockets
  * Support [SIP008](https://github.com/shadowsocks/shadowsocks-org/issues/89 "Online config") extend server fields server, server_port, remarks
  * Local DNS Relay
      * Support sending TCP and UDP queries simutaneously
      * Support connection reusability
  * Remove mostly TCP timeout setting for tunnels, connections will only be killed if clients or servers close
  * Auto-reload DNS resolver configuration from /etc/resolv.conf on *NIX platforms.


=== debian/control ===
Source: shadowsocks-rust
Section: net
Priority: optional
Maintainer: Y. T. Chung <zonyitoo@gmail.com>
Build-Depends: debhelper (>=9), rustc, cargo, apg | pwgen, libcap2-bin [linux-any]
Standards-Version: 3.9.6
Homepage: https://github.com/shadowsocks/shadowsocks-rust

Package: shadowsocks-rust
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Conflicts: shadowsocks
Description: Rust port of shadowsocks, a secure socks5 proxy
 Shadowsocks is a fast tunnel proxy that helps you bypass firewalls.
 Shadowsocks-rust was inspired by Shadowsock (in Python). It's rewritten
 in rust.
